Package icyllis.arc3d.vulkan

# Class VkBackendRenderTarget

java.lang.Object
icyllis.arc3d.engine.BackendRenderTarget
icyllis.arc3d.vulkan.VkBackendRenderTarget

@Deprecated public final class VkBackendRenderTarget extends BackendRenderTarget
Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VkBackendRenderTarget(int width, int height, VulkanImageDesc info)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBackend()`
  Deprecated.
  `BackendFormat`
  `getBackendFormat()`
  Deprecated.
  Get the BackendFormat for this texture.
  `int`
  `getDepthBits()`
  Deprecated.
  `int`
  `getSampleCount()`
  Deprecated.
  `int`
  `getStencilBits()`
  Deprecated.
  `boolean`
  `getVkImageInfo(VulkanImageDesc info)`
  Deprecated.
  If the backend API is Vulkan, copies a snapshot of the VkImageInfo struct into the passed in pointer and returns true.
  `boolean`
  `isProtected()`
  Deprecated.
  Returns true if we are working with protected content.
  `void`
  `setVkImageLayout(int layout)`
  Deprecated.
  Anytime the client changes the VkImageLayout of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.
  `void`
  `setVkQueueFamilyIndex(int queueFamilyIndex)`
  Deprecated.
  Anytime the client changes the QueueFamilyIndex of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.

  ### Methods inherited from class icyllis.arc3d.engine.BackendRenderTarget

  `getGLFramebufferInfo, getHeight, getWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VkBackendRenderTarget

    public VkBackendRenderTarget(int width, int height, VulkanImageDesc info)
    Deprecated.

- ## Method Details

  - ### getBackend

    public int getBackend()
    Deprecated.
    Specified by:
      `getBackend` in class `BackendRenderTarget`
    Returns:
      see Types

  - ### getSampleCount

    public int getSampleCount()
    Deprecated.
    Specified by:
      `getSampleCount` in class `BackendRenderTarget`

  - ### getDepthBits

    public int getDepthBits()
    Deprecated.
    Specified by:
      `getDepthBits` in class `BackendRenderTarget`

  - ### getStencilBits

    public int getStencilBits()
    Deprecated.
    Specified by:
      `getStencilBits` in class `BackendRenderTarget`

  - ### getVkImageInfo

    public boolean getVkImageInfo(VulkanImageDesc info)
    Deprecated.
    Description copied from class: `BackendRenderTarget`
    If the backend API is Vulkan, copies a snapshot of the VkImageInfo struct into the passed in pointer and returns true. This snapshot will set the mImageLayout to the current layout state. Otherwise, returns false if the backend API is not Vulkan.
    Overrides:
      `getVkImageInfo` in class `BackendRenderTarget`

  - ### setVkImageLayout

    public void setVkImageLayout(int layout)
    Deprecated.
    Description copied from class: `BackendRenderTarget`
    Anytime the client changes the VkImageLayout of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.
    Overrides:
      `setVkImageLayout` in class `BackendRenderTarget`

  - ### setVkQueueFamilyIndex

    public void setVkQueueFamilyIndex(int queueFamilyIndex)
    Deprecated.
    Description copied from class: `BackendRenderTarget`
    Anytime the client changes the QueueFamilyIndex of the VkImage captured by this BackendTexture, they must call this function to notify pipeline of the changed layout.
    Overrides:
      `setVkQueueFamilyIndex` in class `BackendRenderTarget`

  - ### getBackendFormat

    @Nonnull public BackendFormat getBackendFormat()
    Deprecated.
    Description copied from class: `BackendRenderTarget`
    Get the BackendFormat for this texture.
    Specified by:
      `getBackendFormat` in class `BackendRenderTarget`

  - ### isProtected

    public boolean isProtected()
    Deprecated.
    Description copied from class: `BackendRenderTarget`
    Returns true if we are working with protected content.
    Specified by:
      `isProtected` in class `BackendRenderTarget`